/* ---------------------- Home ------------------------- */
header{
    width: 100%;
    height: 100vh;
    /* vh means viewport height */
    background-image: url("https://i.pinimg.com/564x/bb/bf/02/bbbf02943f3a49797284730adc6f52c5.jpg" );
    background-size: cover;
    background-position: center;
}
header nav{
    background-color: #4a6163;
    height: 50px;
}  
header h1{
    color: #f9faf4;
    font-size: 40px;
    padding-left: 30px;
}
header nav ul li a{
    text-decoration: none;
    color: #f17a7e;
}
header nav ul li{
    list-style: none;
    display: inline;
    padding-right: 20px;
}
nav{
   display: flex;
   align-items: center;
   justify-content: space-evenly;
   font-size: 25px;
   font-weight: bold;
}
.icon i{
   color: white;
   padding-right: 10px;
}
.text h2 {
    color: #f17a7e;
    font-weight: bolder;
    font-size: 50px;
    padding-left: 30px;
    margin-top: 5px ;
}
.text h4{
    color: #f17a7e;
    padding-left: 30px;
}
.text p{
    color: #4a6163;
    padding-left: 30px;
    font-size: 30px;
}
button{
    padding: 4px;
    border: 2px solid #4a6163;
    border-radius: 5px;
    margin-left: 30px;
    width: 70px;
}
button:hover{
    background-color: #4a6163;
    color: white;
}
/* --------------------- About --------------------------- */
img{
    height: 250px;
    margin: 0 100px;
    float: left;
    border: 2px solid #f17a7e;
    border-radius: 9px;
}
.one h2{
    text-align: center;
    text-decoration: double underline #f17a7e ;
}
.one p{
     margin: 0 40px;
    padding: 20px 100px;
    text-align: justify;
}
.one button{
    border: 2px solid #4a6163;
    border-radius: 5px;
    width: 95px;
}
.one button:hover{
    background-color: #4a6163;
    color: white;
}
/* ------------------- My Skills --------------------- */
.three{
    background-color: lightgray;
}
.three h2{
    padding-top: 20px;
    margin: 50px;
    text-align: center;
    text-decoration: double underline #f17a7e;
}
.wrapper p{
    padding-left: 50px;
}
.wrapper{
    padding-left: 100px;
    text-align: justify;
    display: flex;
    flex-direction: row;
}
.a{
    font-size: 20px;
    font-weight: bold;
    padding-right: 150px;
}
.b{
    font-size: 60px;
    font-weight: bold;
    color: #f17a7e;
}
/* --------------------- My Services --------------------- */
.four h2 {
    text-align: center;
    text-decoration: double underline #f17a7e;
}
.wrapper1{
    display: flex;
    flex-wrap: wrap;
    border:none;
    margin-left: 90px;   
}
.box {
    width: 250px;
    height: 200px;
    display: flex; 
    justify-content: center;
    flex-wrap: wrap;
    border:none;
    border-radius: 10px;
    background-color: white;
    box-shadow: 0px 4px 6px black;
    padding: 0px 20px;
    margin: 50px;
}
i{
    padding-left: 80px;
    padding-top: 20px;
    padding-right: 100px;
}
i:hover{
    color: white;
}
.box:hover{
    background-color: #f17a7e;
}
/* --------------------  Contact Me --------------------*/
.five{
    background-color: lightgray;
}
.five h2{
    text-align: center;
    text-decoration: double underline #f17a7e;
}
.big{
    font-size: 25px;
}
.five p{
    text-align: center;
}
.space{
    padding-bottom: 20px;
}
footer{
    text-align: center;
    font-weight: bold;
}
/* ------------------ Using Media Query -------------------- */
@media screen and (max-width: 600px){

/* ----------------- Home ------------------ */
    header{
        background-image: url("https://i.pinimg.com/564x/bb/bf/02/bbbf02943f3a49797284730adc6f52c5.jpg"); 
        height: 400px;  
        border: 2px solid black;
        border-radius: 20px;
        box-shadow: 0px 4px 10px black;
    }
    header nav{
        background-color: #4a6163;
        height: 40px;
        border-radius: 20px 20px ;
        display: flex;
        flex-wrap: wrap;
    }  
    header h1{
        color: #f9faf4;
        font-size: 20px;
    }
    nav{
       display: flex;
       font-size: 16px;
       font-weight: bold;
    }
    .text h2 {
        font-weight: bold;
        font-size: 30px;
    }
    .text p{
        color: #4a6163;
        padding-left: 30px;
        font-size: 20px;
    }
    button{
        width: 60px;
        height: 23px;
    }
/* ------------ About ---------------- */
    img{
         height: 100px;
         margin: 0 230px;
         margin-bottom: 10px;
    }
    .one{
        border: 2px solid black;
        border-radius: 20px;
        box-shadow: 0px 4px 10px black;
        margin-top: 20px;
        background-color: lightgrey;
    }
    .one h2{
         font-size: 20px;
         padding-right: 30px;
         text-decoration: double underline #f17a7e;
    }
    .one p{
         font-size: smaller;
    }
    .one button{
        margin-left: 240px;
        margin-bottom: 20px;
    }
/* --------------- Skills --------------- */
    .three{
        border: 2px solid black;
        border-radius: 20px;
        box-shadow: 0px 4px 10px black;
        margin-top: 20px;
    }
    .three h2{
         padding-top: 10px;
         margin: 20px;
    }
    .wrapper p{
         padding:0px 80px;
    }
    .wrapper {
        padding-left: 20px;
        display: inline;
        /* Inline is for text. */
    }
    .display{
        display: flex;
    }
    .display1{
        display: flex;
        flex-direction: row;
    }
    .a{
        font-size: 20px;
    }
    .b{
        font-size: 50px;
    }
/* ------------------ Services -------------------- */
    .four{
        border: 2px solid black;
        border-radius: 20px;
        box-shadow: 0px 4px 6px black;
        margin-top: 20px;
        background-color: lightgray;
    }
   .wrapper1{
        display: flex;
        flex-wrap: wrap;
        border:none;
        margin-left: 90px;   
    }
    .box {
        box-shadow: 0px 4px 10px black;
        padding: 0px 20px;
        margin: 10px 50px;
        margin-bottom: 40px;
    }
    /* ------------- Contact -------------- */
    .five{
        border: 2px solid black;
        border-radius: 20px;
        box-shadow: 0px 4px 6px black;
        margin-top: 20px;
        background-color: lightgray;
    }
    .icon i{
        color: white;
        padding-right: 10px;
     }
}





